diff --git a/doc/src/sgml/ref/reindexdb.sgml b/doc/src/sgml/ref/reindexdb.sgml
index 80a7f84886..8cb8bf4fa3 100644
--- a/doc/src/sgml/ref/reindexdb.sgml
+++ b/doc/src/sgml/ref/reindexdb.sgml
@@ -208,7 +208,7 @@ PostgreSQL documentation
       <term><option>--system</option></term>
       <listitem>
        <para>
-        Reindex database's system catalogs.
+        Reindex database's system catalogs only.
        </para>
       </listitem>
      </varlistentry>
diff --git a/src/bin/scripts/reindexdb.c b/src/bin/scripts/reindexdb.c
index a0b0250c49..64fbb40baf 100644
--- a/src/bin/scripts/reindexdb.c
+++ b/src/bin/scripts/reindexdb.c
@@ -798,7 +798,7 @@ help(const char *progname)
 	printf(_("  -i, --index=INDEX            recreate specific index(es) only\n"));
 	printf(_("  -j, --jobs=NUM               use this many concurrent connections to reindex\n"));
 	printf(_("  -q, --quiet                  don't write any messages\n"));
-	printf(_("  -s, --system                 reindex system catalogs\n"));
+	printf(_("  -s, --system                 reindex system catalogs only\n"));
 	printf(_("  -S, --schema=SCHEMA          reindex specific schema(s) only\n"));
 	printf(_("  -t, --table=TABLE            reindex specific table(s) only\n"));
 	printf(_("      --tablespace=TABLESPACE  tablespace where indexes are rebuilt\n"));
